## com.imcode.imcms.servlet
Class VerifyUser

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.VerifyUser

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class VerifyUser

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__ERROR`
`static java.lang.String` `REQUEST_PARAMETER__EDIT_USER`
`static java.lang.String` `REQUEST_PARAMETER__NEXT_META`
`static java.lang.String` `REQUEST_PARAMETER__NEXT_URL`
`static java.lang.String` `REQUEST_PARAMETER__PASSWORD`
`static java.lang.String` `REQUEST_PARAMETER__USERNAME`

Constructor Summary
`VerifyUser()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__NEXT_URL

    public static final java.lang.String REQUEST_PARAMETER__NEXT_URL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__NEXT_META

    public static final java.lang.String REQUEST_PARAMETER__NEXT_META

See Also:
  Constant Field Values

### REQUEST_PARAMETER__EDIT_USER

    public static final java.lang.String REQUEST_PARAMETER__EDIT_USER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__USERNAME

    public static final java.lang.String REQUEST_PARAMETER__USERNAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PASSWORD

    public static final java.lang.String REQUEST_PARAMETER__PASSWORD

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE__ERROR

    public static final java.lang.String REQUEST_ATTRIBUTE__ERROR

See Also:
  Constant Field Values

Constructor Detail

### VerifyUser

    public VerifyUser()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`